Page MenuHomePhabricator

haswbstatement: P180 not working on production Commons
Closed, ResolvedPublicBUG REPORT

Description

User story: N/A

We have this:

We've deployed depicts statements to production, but haswbstatement:P180 searches aren't working (they worked fine on test commons and Beta)

We want this:

haswbstatement:P180 should work on production Commons and show a list of files with that statement

Screenshots (if possible):

Acceptance Criteria:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 23 2019, 7:03 PM
Ramsey-WMF triaged this task as High priority.Apr 23 2019, 7:05 PM
Ramsey-WMF added subscribers: dcausse, Smalyshev.

Hello, @Smalyshev and @dcausse . Erik mentioned I should ping you guys about this one. Any thoughts about why it's not working? Thanks!

Smalyshev updated the task description. (Show Details)Apr 23 2019, 7:07 PM

Would appreciate an example of pages having P180 statements, so I could test on them.

Looking at the dump, Singapore-downtown.jpg seems to have the statements, and the query is asking for them, but somehow no match.

Weird, the mapping doesn't seem to have statement_keywords at all. So maybe we need a reindex?

Yeah, a reindex might be needed. When I spoke to Erik earlier he mentioned that a reindex would solve our inlabel/incaption issues too.

Gaurav added a subscriber: Gaurav.Apr 24 2019, 8:06 PM
Gaurav removed a subscriber: Gaurav.
Gaurav added a subscriber: Gaurav.

Started reindex, should finish sometime tomorrow if everything goes right.

Thank you! 😄

Started reindex, should finish sometime tomorrow if everything goes right.

Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.Apr 25 2019, 3:58 PM

Reindex finished, but still no luck. I think we have a deeper issue here - while content and general indexes do have statement fields, file index does not, and I think file index is where we need it. It looks like file index is defined by FileContentHandler.php and we'd need to add some provisions for it to include more fields. Probably in WikibaseMediaInfo extension?

Checked the logs and found this:

Couldn't update existing mappings. You may need to reindex.
Here is elasticsearch's error message: process_cluster_event_timeout_exception: failed to process cluster event (put-mapping) within 30s

When trying to update file index on eqiad. codfw worked fine though. So maybe mapping is not wrong, just reindex failure.

OK, everything is reindexed properly and now the search works.

Ramsey-WMF closed this task as Resolved.Apr 29 2019, 5:05 PM
Ramsey-WMF claimed this task.

Looks beautiful. Thanks @Smalyshev !